as.matrix.reStruct {nlme} | R Documentation

## Matrices of an reStruct Object

### Description

This method function extracts the positive-definite matrices corresponding to the `pdMat` elements of `object`.

### Usage

    ## S3 method for class 'reStruct'
    as.matrix(x, ...)

### Arguments

`x` | an object inheriting from class `"reStruct"`, representing a random effects structure and consisting of a list of `pdMat` objects.
`...` | further arguments passed from other methods.

### Value

a list with components given by the positive-definite matrices corresponding to the elements of `object`.

### Author(s)

José Pinheiro and Douglas Bates bates@stat.wisc.edu

### References

Pinheiro, J. C. and Bates, D. M. (2000), Mixed-Effects Models in S and S-PLUS, Springer, New York.

### See Also

`as.matrix.pdMat`, `reStruct`, `pdMat`

### Examples

    rs1 <- reStruct(pdSymm(diag(3), ~age+Sex, data = Orthodont))
    as.matrix(rs1)

[Package nlme version 3.1-131 Index]